How partest choses the compiler / library:

  * ''-Dscalatest.build=build/four-pack'' -> will search for libraries in
    ''lib'' directory of given path
  * ''--pack'' -> will set ''scalatest.build=build/pack'', and run all tests.
    add ''--[kind]'' to run a selected set of tests.
  * ''--[four]'' -> will set ''scalatest.build=build-four-pack'' and
    ''scalatest.scalac_opts=-target:jvm-1.4'', and run all tests.
    add ''--kind'' to run a selected set of tests.
  * auto detection:
    - scalatest.build property -> ''bin'' / ''lib'' directories
    - distribution (''dists/latest'')
    - supersabbus pack (''build/pack'')
    - sabbus quick (''build/quick'')
    - installed dist (test files in ''misc/scala-test/files'')

How partest choses test files: the test files must be accessible from
the directory on which partest is run. So the test files must be either
at:
  * ./test/files
  * ./files (cwd is "test")
  * ./misc/scala-test/files (installed scala distribution)

Other arguments:
  * --pos          next files test a compilation success
  * --neg          next files test a compilation failure
  * --run          next files test the interpreter and all backends
  * --jvm          next files test the JVM backend
  * --jvm5         next files test the JVM backend
  * --res          next files test the resident compiler
  * --shootout     next files are shootout tests
  * --script       next files test the script runner
  * ''-Dscalatest.scalac_opts=-target:jvm-1.4'' -> add compiler options
  * ''--verbose'' -> print verbose messages
  * ''-Dpartest.debug=true'' -> print debug messages
